unit uColor;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, uDM, Buttons, StdCtrls, Grids, DBGrids, uNewValue;

type
  TfColor = class(TForm)
    gColor: TDBGrid;
    bAdd: TButton;
    bEdit: TButton;
    bDelete: TButton;
    bClose: TBitBtn;
    bApply: TBitBtn;
    procedure FormShow(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure bApplyClick(Sender: TObject);
    procedure bAddClick(Sender: TObject);
    procedure bDeleteClick(Sender: TObject);
    procedure bEditClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    cName: string;
    nCod: word;
  end;

var
  fColor: TfColor;

implementation

{$R *.dfm}

procedure TfColor.FormShow(Sender: TObject);
begin
  DM.qColor.Active := true; 
end;

procedure TfColor.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  DM.qColor.Active := false;
end;

procedure TfColor.bApplyClick(Sender: TObject);
begin
  nCod := DM.qColor.FieldValues['color_cod'];
  cName := DM.qColor.FieldValues['color_name'];
end;

procedure TfColor.bAddClick(Sender: TObject);
begin
  if fNewValue.DoEdit('  ','') then
     begin
       nCod := DM.GetNewCode('select color_cod from color order by color_cod','color_cod');
       DM.SqlInsert('insert into color (color_cod,color_name) values',
                     IntToStr(nCod),
                     '"' + fNewValue.eValue.Text + '"');

      DM.qColor.Active := false;
      DM.qColor.Active := true;

      DM.qColor.Locate('color_cod',nCod,[]);
     end;

 gColor.SetFocus;
end;

procedure TfColor.bDeleteClick(Sender: TObject);
begin
 DM.SqlDelete('color','color_cod',DM.qColor);

 gColor.SetFocus;
end;

procedure TfColor.bEditClick(Sender: TObject);
begin
 cName := DM.qColor.FieldValues['color_name'];

 if fNewValue.DoEdit(' ',cName) then
    begin
      DM.SqlUpdate('update color set color_name=','color_cod',
                    fNewValue.eValue.Text,DM.qColor);
    end;

 gColor.SetFocus;
end;

end.
