unit uNewValue;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Buttons, uDM;

type
  TfNewValue = class(TForm)
    eValue: TEdit;
    bOK: TBitBtn;
    bCancel: TBitBtn;
    procedure bOKClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }

    function DoEdit(cTitle, cValue: string): boolean;
  end;

var
  fNewValue: TfNewValue;

implementation

{$R *.dfm}

function TfNewValue.DoEdit(cTitle, cValue: string): boolean;
begin
  Caption := cTitle;
  eValue.Text := cValue;

  ShowModal;

  Result := (self.ModalResult = mrOK)
end;

procedure TfNewValue.bOKClick(Sender: TObject);
begin
  If is_empty(eValue.Text) then
     begin
       ShowMessage(' !');
       eValue.SetFocus;
       ModalResult := mrNone;
       Exit;
     end;
end;

procedure TfNewValue.FormShow(Sender: TObject);
begin
  eValue.SetFocus;
end;

end.
