unit uParent;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Buttons, Grids, DBGrids, uDM;

type
  TfParent = class(TForm)
    gParent: TDBGrid;
    bCancel: TBitBtn;
    bOK: TBitBtn;
    bSearch: TButton;
    eSearch: TEdit;
    bFind: TBitBtn;
    procedure FormShow(Sender: TObject);
    procedure bSearchClick(Sender: TObject);
    procedure bFindClick(Sender: TObject);
    procedure bOKClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    cParent: string;
    nCod: word;
  end;

var
  fParent: TfParent;

implementation

{$R *.dfm}

procedure TfParent.FormShow(Sender: TObject);
begin
  gParent.DataSource := DM.dsParent;
  bSearch.Enabled := true;
  eSearch.Enabled := false;
  eSearch.Text := '';
  bFind.Enabled := false;
  cParent := '';
end;

procedure TfParent.bSearchClick(Sender: TObject);
begin
  eSearch.Enabled := true;
  bFind.Enabled := true;
  eSearch.SetFocus;
end;

procedure TfParent.bFindClick(Sender: TObject);
begin
  eSearch.Enabled := false;
  bFind.Enabled := false;

  DM.qFindParent.SQL.Text := 'select cod, name, birth, race_name, color_name from pets '
        +'left outer join race on pets.race_cod=race.race_cod '
        +'left outer join color on pets.color_cod=color.color_cod '
        +'where name='''+trim(eSearch.Text)+'''';

  DM.qFindParent.Active := true;

  If DM.qFindParent.EoF then
     begin
       gParent.DataSource := DM.dsParent;
       DM.qFindParent.Active := false;
       ShowMessage('     !');
     end
  else
     begin
       gParent.DataSource := DM.dsFindParent;
     end;

  gParent.SetFocus;   
end;

procedure TfParent.bOKClick(Sender: TObject);
begin
  cParent := gParent.DataSource.DataSet.FieldValues['name'];
  nCod := gParent.DataSource.DataSet.FieldValues['cod'];
end;

end.
