unit uRace;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Buttons, StdCtrls, Grids, DBGrids, uDM, uNewValue;

type
  TfRace = class(TForm)
    gRace: TDBGrid;
    bAdd: TButton;
    bEdit: TButton;
    bDelete: TButton;
    bClose: TBitBtn;
    bApply: TBitBtn;
    procedure FormShow(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure bApplyClick(Sender: TObject);
    procedure bAddClick(Sender: TObject);
    procedure bDeleteClick(Sender: TObject);
    procedure bEditClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    nCod: byte;
    cName: string;
  end;

var
  fRace: TfRace;

implementation

{$R *.dfm}

procedure TfRace.FormShow(Sender: TObject);
begin
  DM.qRace.Active := true;
end;

procedure TfRace.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  DM.qRace.Active := false;
end;

procedure TfRace.bApplyClick(Sender: TObject);
begin
  nCod  := DM.qRace.FieldValues['race_cod'];
  cName := DM.qRace.FieldValues['race_name'];
end;

procedure TfRace.bAddClick(Sender: TObject);
begin
  if fNewValue.DoEdit('  ','') then
     begin
       nCod := DM.GetNewCode('select race_cod from race order by race_cod','race_cod');
       DM.SqlInsert('insert into race (race_cod,race_name) values',
                     IntToStr(nCod),
                     '"' + fNewValue.eValue.Text + '"');

      DM.qRace.Active := false;
      DM.qRace.Active := true;

      DM.qRace.Locate('race_cod',nCod,[]);
     end;

 gRace.SetFocus;
end;

procedure TfRace.bDeleteClick(Sender: TObject);
begin
 DM.SqlDelete('race','race_cod',DM.qRace);

 gRace.SetFocus;
end;

procedure TfRace.bEditClick(Sender: TObject);
begin
 cName := DM.qRace.FieldValues['race_name'];

 if fNewValue.DoEdit(' ',cName) then
    begin
      DM.SqlUpdate('update race set race_name=','race_cod',
                    fNewValue.eValue.Text,DM.qRace);
    end;

 gRace.SetFocus;
end;

end.
