unit uTitle;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, uDM, Buttons, StdCtrls, Grids, DBGrids, uNewValue;

type
  TfTitle = class(TForm)
    gTitle: TDBGrid;
    bAdd: TButton;
    bEdit: TButton;
    bDelete: TButton;
    bClose: TBitBtn;
    bApply: TBitBtn;
    procedure bApplyClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure bAddClick(Sender: TObject);
    procedure bDeleteClick(Sender: TObject);
    procedure bEditClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    nCod: byte;
    cName: string;
  end;

var
  fTitle: TfTitle;

implementation

{$R *.dfm}

procedure TfTitle.bApplyClick(Sender: TObject);
begin
  nCod := DM.qTitle.FieldValues['title_cod'];
  cName := DM.qTitle.FieldValues['title_name'];
end;

procedure TfTitle.FormShow(Sender: TObject);
begin
  DM.qTitle.Active := true;
end;

procedure TfTitle.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  DM.qTitle.Active := false;
end;

procedure TfTitle.bAddClick(Sender: TObject);
begin
  if fNewValue.DoEdit('  ','') then
     begin
       nCod := DM.GetNewCode('select title_cod from title order by title_cod','title_cod');
       DM.SqlInsert('insert into title (title_cod,title_name) values',
                     IntToStr(nCod),
                     '"' + fNewValue.eValue.Text + '"');

      DM.qTitle.Active := false;
      DM.qTitle.Active := true;

      DM.qTitle.Locate('title_cod',nCod,[]);
     end;

 gTitle.SetFocus;
end;

procedure TfTitle.bDeleteClick(Sender: TObject);
begin
  DM.SqlDelete('title','title_cod',DM.qTitle);

  gTitle.SetFocus;
end;

procedure TfTitle.bEditClick(Sender: TObject);
begin
 cName := DM.qTitle.FieldValues['title_name'];

 if fNewValue.DoEdit(' ',cName) then
    begin
      DM.SqlUpdate('update title set title_name=','title_cod',
                    fNewValue.eValue.Text,DM.qTitle);
    end;

 gTitle.SetFocus;
end;

end.
